import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/wenleicao/24da06aff2538ba8740e559c7e670257/raw/dcfc42aadebb5e41fc788529b9e458f95ae27ca6/Massachussetts_Crime.csv';

export const getData = async () => {
  let data = await csv(csvUrl);
  
  data.forEach(d => {
    d.BurglaryPerCapita = d.Burglary / d.Population;
  });
  
  data = data.filter(d => d.BurglaryPerCapita > 0.005);
  
  // Have a look at the attributes available in the console!
  console.log(data[0]);

  return data;
};